Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.activation
Interface DataSource

All Known Implementing Classes:
  FileDataSource, URLDataSource

public interface DataSource

The DataSource interface provides the JavaBeans Activation Framework with an abstraction of an arbitrary collection of data. It provides a type for that data as well as access to it in the form of `InputStreams` and `OutputStreams` where appropriate.

Method Summary
`java.lang.String` | `getContentType()` This method returns the MIME type of the data in the form of a string.
`java.io.InputStream` | `getInputStream()` This method returns an `InputStream` representing the data and throws the appropriate exception if it can not do so.
`java.lang.String` | `getName()` Return the name of this object where the name of the object is dependant on the nature of the underlying objects.
`java.io.OutputStream` | `getOutputStream()` This method returns an `OutputStream` where the data can be written and throws the appropriate exception if it can not do so.

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  This method returns an `InputStream` representing the data and throws the appropriate exception if it can not do so. Note that a new `InputStream` object must be returned each time this method is called, and the stream must be positioned at the beginning of the data.

  Returns:
    an InputStream
  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  This method returns an `OutputStream` where the data can be written and throws the appropriate exception if it can not do so. Note that a new `OutputStream` object must be returned each time this method is called, and the stream must be positioned at the location the data is to be written.

  Returns:
    an OutputStream
  Throws:
    `java.io.IOException`

### getContentType

    public java.lang.String getContentType()

  This method returns the MIME type of the data in the form of a string. It should always return a valid type. It is suggested that getContentType return "application/octet-stream" if the DataSource implementation can not determine the data type.

  Returns:
    the MIME Type

### getName

    public java.lang.String getName()

  Return the name of this object where the name of the object is dependant on the nature of the underlying objects. DataSources encapsulating files may choose to return the filename of the object. (Typically this would be the last component of the filename, not an entire pathname.)

  Returns:
    the name of the object.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD